--- pixmaps/icon-theme-installer.orig	2010-06-17 03:36:53.000000000 -0400
+++ pixmaps/icon-theme-installer	2012-05-31 17:42:11.000000000 -0400
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 
 # icon-theme-installer
 # Copyright (C) 2006 Novell, Inc.
@@ -112,7 +112,7 @@
 	exit 1
 fi
 
-if test ! -x $(echo "$INSTALL_DATA_EXEC" | cut -f1 -d' '); then
+if test ! -x $(echo "$INSTALL_DATA_EXEC" | cut -f1 -d' ' | xargs which); then
 	echo "Cannot find '$INSTALL_DATA_EXEC'; You probably want to 
 pass -x \$(INSTALL_DATA)"
 	exit 1
@@ -173,7 +173,7 @@
 done
 
 if test "x$INSTALL" = "xyes"; then
-	gtk_update_icon_cache_bin="$((which gtk-update-icon-cache || 
+	gtk_update_icon_cache_bin="$( (which gtk-update-icon-cache || 
 echo /opt/gnome/bin/gtk-update-icon-cache)2>/dev/null)"
 	gtk_update_icon_cache="$gtk_update_icon_cache_bin -f -t 
 $INSTALL_BASE_DIR"
